//+------------------------------------------------------------------+
//|  Multi OHCL Symbol Info on Chart     www.vikasjha.com            |
//+------------------------------------------------------------------+

#property copyright "Vikas Jha"
#property version   "1.00"
#property indicator_chart_window


extern int    RSI_periode      =         14;
extern int    RSI_level        =         50;
extern color  BuyColor         =    clrLime;
extern color  SellColor         =    clrRed;
extern int    horizontal       =         10;
extern int    vertical         =         10;    
extern int    shift            =          1;
extern double percent          =       0.25;
extern string fontmode         =       "Arial";
extern int    fontsize         =         9;
extern color  fontcolor        =         clrSkyBlue;
extern int    columnspacing    =        100; 

int    bars;
          

int init()
  {
//----
     SetIndexStyle(0,DRAW_LINE);
//----
   return(0);
  }
 
//+------------------------------------------------------------------+
//| deinitialization function   www.vikasjha.com                     |
//+------------------------------------------------------------------+
int deinit()
  {
//----
ObjectsDeleteAll();

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| start function     www.vikasjha.com                              |
//+------------------------------------------------------------------+
int start()
  {

          string symlist2[]     = {"EURUSD","GBPUSD", "XAUUSD"};
          string symbol;

          string   info2[]      = {MODE_BID,MODE_ASK,PRICE_OPEN,MODE_HIGH,MODE_LOW,MODE_CLOSE};
          //string infolabel;
          
          string timeText[]     = {"Bid","Ask","DayOpen","DayHigh","DayLow","DayClosed"};
          string font           = "Terminal";

    int counted_bars = IndicatorCounted();
    int   symlimit   = ArraySize(symlist2);
       int timelimit = ArraySize(info2); 
       
    if(bars != Bars)  
      
      for(int i=0;i<symlimit;i++)
       {      
       symbol  = symlist2[i];
        
       Display("symlabel" + symbol + i,  horizontal,vertical);
       ObjectSetText("symlabel" + symbol + i, "SYMBOL", fontsize, font, Pink);       

       Display("sym" + symbol + i,  horizontal,vertical +((i+1)*18));
       ObjectSetText("sym" + symbol + i, "" + symbol + "", fontsize, font, Yellow);
       
        for(int j=0;j<timelimit;j++)
       {       
         
       Display("infolabel" + j,  horizontal+((j+1)*100),vertical);
       ObjectSetText("infolabel" + j, timeText[j], fontsize, font, Pink);       

       Display("infolabel2" + symbol + ((j+1)*columnspacing),  horizontal+((j+1)*100),vertical +((i+1)*18));
       ObjectSetText("infolabel2" +symbol+ ((j+1)*columnspacing),   + DoubleToStr(MarketInfo(symbol,info2[j]), MarketInfo(symbol,MODE_DIGITS)), fontsize, font, BarColor(symbol,info2[j]));
       }
       }
       bars = Bars;

   return(0);
  }
//+------------------------------------------------------------------+
  color BarColor(string sym,int undefined)
  {    
    color  clr;
    

         double RSI_55_PREV = iRSI(sym,0,RSI_periode,0,1);   //i+1 => previous bar 
         clr  = clrDimGray;
         if(RSI_55_PREV <= RSI_level )   {clr  = SellColor;}
         else
         if(RSI_55_PREV > RSI_level)    {clr  = BuyColor;}  
         return(clr);
  
   } 
//+----------------www.vikasjha.com------------------------------+


void Display(string name, int x, int y)
   {
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
   ObjectSet(name, OBJPROP_CORNER, 0);
   ObjectSet(name, OBJPROP_XDISTANCE, x);
   ObjectSet(name, OBJPROP_YDISTANCE, y);
   ObjectSet(name, OBJPROP_BACK, FALSE);
   } 


